Name:           opencsv
Version:        2.3
Release:        16%{?dist}
Summary:        A very simple CSV (comma-separated values) parser library for Java
License:        ASL 2.0
URL:            http://opencsv.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}-src-with-libs.tar.gz
# opencsv don't include the license file
# reported @ https://sourceforge.net/p/opencsv/bugs/98/
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
# Add java.sql missing methods to test suite
Patch0:         %{name}-2.3-java7.patch
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)

%description
Support for all the basic csv-type things you're likely to want to do.

%package javadoc
Summary:           Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

### making sure we dont use it
find . -name '*.jar' -delete
find . -name '*.class' -delete
rm -rf lib/* doc deploy

%patch0 -p0

# Unwanted
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :findbugs-maven-plugin
# Drop javadoc jar
%pom_remove_plugin :maven-javadoc-plugin

sed -i 's/\r//' examples/MockResultSet.java
sed -i 's/\r//' examples/JdbcExample.java
sed -i 's/\r//' examples/addresses.csv
sed -i 's/\r//' examples/AddressExample.java

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_file :%{name} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc examples LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.3-10
- Use Requires: java-headless rebuild (#1067528)

* Tue Nov 26 2013 Patrick Huang <pahuang@redhat.com> 2.3-9
- fix Bug 1033676 - Incorrect directory for jar file

* Wed Oct 16 2013 gil cattaneo <puntogil@libero.it> 2.3-8
- fix javadoc sub package
- adapt to current guildeine
- fix test suite (PATCH0)
- add license file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Patrick Huang <pahuang@redhat.com> - 2.3-6
- Adapte latest java packaging guideline

* Fri Mar 1 2013 Patrick Huang <pahuang@redhat.com> - 2.3-5
- Change to build by maven

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 01 2011 Sandro Mathys <red at fedoraproject.org> - 2.3-1
- New upstream version 2.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 26 2010 Sandro Mathys <red at fedoraproject.org> - 2.2-2
- rebuilt

* Mon Apr 26 2010 Sandro Mathys <red at fedoraproject.org> - 2.2-1
- update to upstream version 2.2

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Sandro Mathys <red at fedoraproject.org> - 1.8-2
- Examples now docs
- Removed feature list in description
- Added symlink to the javadocs (name-version -> name)

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 1.8-1
- initial build (thanks Rudolf 'che' Kastl for the help)
